<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head>
<title>Login Page</title>
<style>
.errorblock {
	color: #ff0000;
	background-color: #ffEEEE;
	border: 3px solid #ff0000;
	padding: 8px;
	margin: 16px;
}
</style>
</head>
<body onload='document.f.j_username.focus();'>
	<h3>自定义登录界面</h3>

	<c:if test="${not empty error}">
		<div class="errorblock">
			登录失败,重试一次.<br /> 原因 :
			${sessionScope["SPRING_SECURITY_LAST_EXCEPTION"].message}
		</div>
	</c:if>

	<form name='f' action="${pageContext.request.contextPath}/j_spring_security_check"	method='POST'>

		<table>
			<tr>
				<td>用户名:</td>
				<td><input type='text' name='j_username' value=''>
				</td>
			</tr>
			<tr>
				<td>密码:</td>
				<td><input type='password' name='j_password' />
				</td>
			</tr>
			<tr>
				<td colspan='2'>
				    <input name="submit" type="submit" value="登录" />
				    <input name="reset" type="reset" value="重置" />
				</td>
			</tr>
			
		</table>

	</form>
</body>
</html>